<!DOCTYPE html>
<meta charset=UTF-8>
<meta name=viewport content="width=device-width, initial-scale=1.">
<title>experiments with html canvas</title>
<link rel=stylesheet href="css/main.css">
<script src="js/main.js" type=module></script>
<main id=canvas-container0></main>
<div id=menuactivator>≡</div>
<div id=description>
    
    <h3>Billiard balls in a box<br>(noninteracting)</h3>
    <h4>but under a constant external force field</h4>
    # of balls in box: <span id='nballs'></span><br>
    <u>status</u>: <span id=status>stopped</span><br>
    <u>fps</u>: <span id=fps>0</span><br>
    <!-- <u>total energy:</u> <span id=energy></span> -->
    <hr>
    <u>keyboard actions:</u><br>
    [Space] to run/pause<br>
    [+/-] to speed up/down<br>
    [t] to toggle drawing trails<br>
    [r] to reset to random initial state<br>
    [b] for "Big Bang" effect<br>
</div>
<div id=oneliner>Shit happens.</div>
<div id=howmany><p>
    how many balls in the box?<br>(1-9999)</p>
    <input type=number min=1 max=9999 value=255>
    <p>
    <input type=button id=cancel value=cancel>&nbsp;</iput><input type=button id=ok value=ok>
    </p>
</div>
<footer>&copy; 2019 <a href=mailto:Robert@Budzynski.xyz>RJ Budzyński</a></footer>

<!-- <script src="js/functions.js"></script>
<script src="js/random-z.js"></script>
<script src="js/events.js"></script>
<script src="js/billiard.js"></script>
<script src="js/forces.js"></script>
<script src="js/main.js"></script>
<script src="js/oneliner.js"></script> -->


